Skip to main content
GET
/
api
/
scheduled-job-executions
/
{id}
Get ScheduledJobExecution by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/scheduled-job-executions/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/scheduled-job-executions/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/scheduled-job-executions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "completionMessage": "<string>",
  "createdOn": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z",
  "exceptionDetails": "<string>",
  "id": "<string>",
  "logGroup": "<string>",
  "logStream": "<string>",
  "requestId": "<string>",
  "scheduledJob": {
    "active": true,
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "deleted": true,
    "description": "<string>",
    "id": "f5678901-23ab-cdef-4567-890123abcdef",
    "modelRef": "<string>",
    "name": "Daily Invoice Processing",
    "project": {
      "changeSequence": 123,
      "color": "#4A90D9",
      "createdOn": "2023-11-07T05:31:56Z",
      "dataFlow": {
        "edges": [
          {
            "id": "<string>",
            "properties": {},
            "source": "<string>",
            "target": "<string>"
          }
        ],
        "nodes": [
          {
            "dimensions": {
              "height": 123,
              "width": 123
            },
            "id": "<string>",
            "parentId": "<string>",
            "position": {
              "x": 123,
              "y": 123
            },
            "properties": {},
            "type": "<string>"
          }
        ],
        "viewPort": {
          "x": 123,
          "y": 123,
          "zoom": 123
        }
      },
      "description": "Automated invoice processing pipeline.",
      "documentStatuses": [
        {
          "changeSequence": 123,
          "color": "<string>",
          "createdOn": "2023-11-07T05:31:56Z",
          "icon": "<string>",
          "id": "<string>",
          "project": "<unknown>",
          "projectId": "<string>",
          "slug": "<string>",
          "status": "<string>",
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "<string>"
        }
      ],
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "memory": {
        "changeSequence": 123,
        "orderedDashboards": [
          "<string>"
        ],
        "recentFilters": {},
        "recentQueries": {}
      },
      "name": "Invoice Processing",
      "notes": "<string>",
      "options": {
        "companion": {
          "agentRuntimeRef": "<string>",
          "moduleRefs": [
            "<string>"
          ],
          "prompt": "<string>"
        },
        "dataOptions": [
          {
            "aliases": [
              "<string>"
            ],
            "default": "<unknown>",
            "description": "<string>",
            "developerOnly": true,
            "displayProperties": {},
            "falseLabel": "<string>",
            "featureFlag": "<string>",
            "groupOptions": "<array>",
            "hint": "<string>",
            "label": "<string>",
            "listDescription": "<string>",
            "listLabel": "<string>",
            "listType": "<string>",
            "name": "<string>",
            "overviewMarkdown": "<string>",
            "possibleValues": [
              {
                "description": "<string>",
                "label": "<string>",
                "value": "<unknown>"
              }
            ],
            "properties": {},
            "required": true,
            "showIf": "<string>",
            "showOnPopup": true,
            "subType": "<string>",
            "supportArticle": "<string>",
            "tabName": "<string>",
            "type": "<string>"
          }
        ],
        "dataProperties": {},
        "executionPolicy": {
          "backoffBaseSeconds": 123,
          "backoffStrategy": "<string>",
          "maxAttempts": 123,
          "onExhausted": "<string>",
          "timeoutSeconds": 123
        },
        "groupTaxonTypeFeatures": {},
        "options": [
          {
            "aliases": [
              "<string>"
            ],
            "default": "<unknown>",
            "description": "<string>",
            "developerOnly": true,
            "displayProperties": {},
            "falseLabel": "<string>",
            "featureFlag": "<string>",
            "groupOptions": "<array>",
            "hint": "<string>",
            "label": "<string>",
            "listDescription": "<string>",
            "listLabel": "<string>",
            "listType": "<string>",
            "name": "<string>",
            "overviewMarkdown": "<string>",
            "possibleValues": [
              {
                "description": "<string>",
                "label": "<string>",
                "value": "<unknown>"
              }
            ],
            "properties": {},
            "required": true,
            "showIf": "<string>",
            "showOnPopup": true,
            "subType": "<string>",
            "supportArticle": "<string>",
            "tabName": "<string>",
            "type": "<string>"
          }
        ],
        "properties": {},
        "taskOptions": {
          "showNewTask": true
        },
        "taxonTypeFeatures": {}
      },
      "organization": {
        "archived": true,
        "authGroupLink": {
          "authGroup": "<string>"
        },
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "defaultToPrivateTemplates": true,
        "description": "Document processing organization for Acme Corp.",
        "enterpriseOrganization": true,
        "features": {},
        "hasImage": true,
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "memory": {
          "orderedDashboards": [
            "<string>"
          ]
        },
        "name": "Acme Corp",
        "organizationStatus": "ACTIVE",
        "properties": {},
        "publicAccess": true,
        "searchText": "<string>",
        "slug": "acme-corp",
        "stripeCustomerId": "<string>",
        "supportAccess": true,
        "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "550e8400e29b41d4a716446655440000"
      },
      "organizationId": "<string>",
      "owner": {
        "active": true,
        "bio": "<string>",
        "businessGroup": "<string>",
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "firstName": "<string>",
        "groupsJson": "<string>",
        "id": "<string>",
        "image": "<string>",
        "isExternallyManaged": true,
        "lastName": "<string>",
        "preferences": {
          "showOnboarding": true,
          "showScrollbars": true,
          "showWelcomeMessage": true
        },
        "rolesJson": "<string>",
        "searchText": "<string>",
        "security": {
          "roles": [
            "<string>"
          ]
        },
        "showDeveloperTools": true,
        "title": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "userStorage": {
          "favoriteLinks": [
            {
              "link": "<string>"
            }
          ]
        },
        "userType": "<string>",
        "uuid": "<string>"
      },
      "ownerId": "<string>",
      "projectTemplateRef": "<string>",
      "searchText": "<string>",
      "slug": "invoice-processing",
      "status": {
        "changeSequence": 123,
        "color": "<string>",
        "createdOn": "2023-11-07T05:31:56Z",
        "icon": "<string>",
        "id": "<string>",
        "organization": {
          "archived": true,
          "authGroupLink": {
            "authGroup": "<string>"
          },
          "changeSequence": 123,
          "createdOn": "2023-11-07T05:31:56Z",
          "defaultToPrivateTemplates": true,
          "description": "Document processing organization for Acme Corp.",
          "enterpriseOrganization": true,
          "features": {},
          "hasImage": true,
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "memory": {
            "orderedDashboards": [
              "<string>"
            ]
          },
          "name": "Acme Corp",
          "organizationStatus": "ACTIVE",
          "properties": {},
          "publicAccess": true,
          "searchText": "<string>",
          "slug": "acme-corp",
          "stripeCustomerId": "<string>",
          "supportAccess": true,
          "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "550e8400e29b41d4a716446655440000"
        },
        "organizationId": "<string>",
        "production": true,
        "status": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      },
      "statusId": "<string>",
      "statusType": "ACTIVE",
      "templateArticleId": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "7c9e667974254de944be07fc1f90ae7"
    },
    "projectId": "<string>",
    "properties": {},
    "schedules": [
      {
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "cronExpression": "<string>",
        "id": "<string>",
        "lastEvent": "2023-11-07T05:31:56Z",
        "nextEvent": "2023-11-07T05:31:56Z",
        "type": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      }
    ],
    "searchText": "<string>",
    "slug": "daily-invoice-processing",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "scheduledJobId": "<string>",
  "startTime": "2023-11-07T05:31:56Z",
  "updatedOn": "2023-11-07T05:31:56Z",
  "userCancelled": true,
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The ScheduledJobExecution

A scheduled job execution records a single run of a scheduled job.

changeSequence
integer<int32>
completionMessage
string
createdOn
string<date-time>
endTime
string<date-time> | null
exceptionDetails
string
executionStatus
enum<string>
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELLED,
NO_ACTION
id
string
logGroup
string
logStream
string
requestId
string
scheduledJob
object | null

A scheduled job automates document processing on a recurring basis.

scheduledJobId
string | null
startTime
string<date-time> | null
updatedOn
string<date-time>
userCancelled
boolean | null
uuid
string